В PowerDNS исправлены пять уязвимостей

В PowerDNS исправлены пять уязвимостей

Эксплуатируя уязвимости, злоумышленники могут манипулировать записями DNS, что может привести к катастрофическим последствиям.

image

Разработчик ПО с открытым исходным кодом PowerDNS призвал пользователей установить обновления для продуктов Authoritative и Recursor, исправляющие пять уязвимостей. Ни одна из уязвимостей не позволяет скомпрометировать сам PowerDNS. Тем не менее, с их помощью злоумышленники могут манипулировать записями DNS, что может привести к катастрофическим последствиям.

Уязвимость в Recursor (CVE-2017-15090) возникает из-за ошибки при проверке подписей с помощью DNSSEC. Злоумышленник может осуществить атаку «человек посередине» и выпустить действительную подпись для поддельной записи. Реализация DNSSEC также подвержена уязвимости (CVE-2017-15094), позволяющей вызвать отказ в обслуживании. При маловероятном сценарии, если атака будет осуществляться с доверенного сервера, особым образом сконфигурированные пакеты могут вызвать утечку памяти в Recursor.

В web-интерфейсе PowerDNS Recursor обнаружена XSS-уязвимость (CVE-2017-15092). Кроме того, продукт уязвим к инъекциям конфигурационного файла в API (CVE-2017-15093). Атаку может осуществить только авторизованный пользователь. При невозможности установить обновление рекомендуется отключить возможность вносить изменения конфигурации через API.

Уязвимость в PowerDNS Authoritative (CVE-2017-15091) связана с недостаточной проверкой операций с API.

Проблемы затрагивают версии Recursor от 4.0.0 до 4.0.6 и версии Authoritative до 4.0.4 плюс версию 3.4.11.

Подписывайтесь на каналы "SecurityLab" в TelegramTelegram и Яндекс.ДзенЯндекс.Дзен, чтобы первыми узнавать о новостях и эксклюзивных материалах по информационной безопасности.